﻿using PlumbingRepairDataModels.Enums;

namespace PlumbingRepairDataModels.Models
{
    public interface IOrderModel : IId
    {
        int WorkId { get; }
        int ClientId { get; }
		int? ImplementerId { get; }
		string WorkName { get; }
        int Count { get; }
        double Sum { get; }
        OrderStatus Status { get; }
        DateTime DateCreate { get; }
        DateTime? DateImplement { get; }
    }
}
